Subject: Re: bug#19338: [PATCH 1/3] eldoc: use default eldoc function if local one gives no results

From: Stefan Monnier <[email-masked]>
Date: Wed, 10 Dec 2014 21:38:44 -0500

> So the point here is that I don't want major-mode to be aware of what
> I might have set the default value of `eldoc-documentation-function' to

The major mode doesn't have to be aware of it.  It should simply always
delegate to the default function (i.e. ideally use :before-until, of
course that requires fixing the default value of
eldoc-documentation-function).

> (and work even if I change it at any point).

Just like the `local' arg of add-hook, add-function correctly handles
later changes to the global value of the variable.

        Stefan